classification
Title: PyObject_Malloc is not documented
Type: behavior Stage: resolved
Components: Documentation, Interpreter Core Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, docs@python, gennad, r.david.murray, vstinner, willingc, zach.ware
Priority: normal Keywords: patch

Created on 2013-12-24 19:39 by r.david.murray, last changed 2017-10-31 17:09 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
20064.patch gennad, 2013-12-25 01:12 review
Pull Requests
URL Status Linked Edit
PR 4199 merged vstinner, 2017-10-31 16:08
PR 4203 merged python-dev, 2017-10-31 16:38
PR 4204 merged vstinner, 2017-10-31 16:55
Messages (9)
msg206910 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-12-24 19:39
At least, a doc ref to :c:func:`PyObject_Malloc` does not turn into a link, and I can't find anything in the docs that it looks like it should link to.
msg206914 - (view) Author: Gennadiy Zlobin (gennad) * Date: 2013-12-25 01:12
Hi, 

I created the patch, please kindly review it, all comments are welcomed.

Thank you!
msg223328 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-17 10:50
As the patch is short can we have a commit review please.  Can we also close issue 18392 as a duplicate of this.
msg223424 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2014-07-18 18:21
I've reviewed this patch. It's my first patch review for this project so I'm not sure that I submitted the review correctly in Rietveld.
msg223593 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-07-21 17:27
It appears that PyObject_Realloc and PyObject_Free are also not documented; they should be along with PyObject_Malloc.

I also left a couple of comments on Rietveld.
msg305313 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-10-31 16:37
New changeset ec2cbdd1dff2c51788136480b2085e77506ebf34 by Victor Stinner in branch 'master':
bpo-20064: Document PyObject_Malloc() (#4199)
https://github.com/python/cpython/commit/ec2cbdd1dff2c51788136480b2085e77506ebf34
msg305315 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-10-31 16:56
New changeset 8543ce8ffd57d770b57fe653e0ab7fada1a4c343 by Victor Stinner (Miss Islington (bot)) in branch '3.6':
bpo-20064: Document PyObject_Malloc() (GH-4199) (#4203)
https://github.com/python/cpython/commit/8543ce8ffd57d770b57fe653e0ab7fada1a4c343
msg305317 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-10-31 17:08
New changeset 52ba7b447f41dad2754ddbc50ed97413b557bbe1 by Victor Stinner in branch '2.7':
bpo-20064: Document PyObject_Malloc() (#4204)
https://github.com/python/cpython/commit/52ba7b447f41dad2754ddbc50ed97413b557bbe1
msg305318 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-10-31 17:09
It took a while, but PyObject_Malloc() & cie are now documented :-)

I even backported and *adapted* the doc to Python 2.7 ;-)
History
Date User Action Args
2017-10-31 17:09:18vstinnersetstatus: open -> closed
versions: + Python 3.6, Python 3.7, - Python 3.4, Python 3.5
messages: + msg305318

resolution: fixed
stage: patch review -> resolved
2017-10-31 17:08:30vstinnersetmessages: + msg305317
2017-10-31 17:05:57vstinnersetpull_requests: - pull_request4170
2017-10-31 16:56:17vstinnersetmessages: + msg305315
2017-10-31 16:55:51vstinnersetpull_requests: + pull_request4173
2017-10-31 16:38:42python-devsetpull_requests: + pull_request4172
2017-10-31 16:37:30vstinnersetmessages: + msg305313
2017-10-31 16:20:02vstinnersetpull_requests: + pull_request4170
2017-10-31 16:08:44vstinnersetpull_requests: + pull_request4167
2014-07-21 17:27:14zach.waresetversions: + Python 3.5, - Python 3.3
nosy: + zach.ware

messages: + msg223593

stage: needs patch -> patch review
2014-07-18 18:24:07zach.warelinkissue18392 superseder
2014-07-18 18:21:38willingcsetnosy: + willingc
messages: + msg223424
2014-07-17 10:50:07BreamoreBoysetnosy: + BreamoreBoy
messages: + msg223328
2014-04-28 23:40:34pitrousetnosy: + vstinner
2013-12-25 01:12:16gennadsetfiles: + 20064.patch

nosy: + gennad
messages: + msg206914

keywords: + patch
2013-12-24 19:39:20r.david.murraycreate